{% extends "baseBack.html.twig" %}
{% block container %}

<div class="col-md-12">
    <!-- DATA TABLE -->
    <h3 class="title-5 m-b-35">Liste des Publications</h3>
    <button class="btn btn-info btn-rounded m-t-10 mb-2 float-right" data-target="#add-contact" data-toggle="modal" type="button" style="float:none!important;display:inline;" >    <a href="{{ path('event_sort',{'sort':'ASC'}) }}" style="color: white">Moins récent</a></button>
    <button class="btn btn-info btn-rounded m-t-10 mb-2 float-right" data-target="#add-contact" data-toggle="modal" type="button" style="float:none!important;display:inline;" >    <a href="{{ path('event_sort',{'sort':'DESC'}) }}"style="color: white">Plus récent</a></button>
    <div class="table-responsive table-responsive-data2">
        <table class="table table-data2">
            <thead>
            <tr>

                <th>titre</th>
                <th>contenu</th>
                <th>type</th>
                <th>date</th>
                <th>Actions</th>

            </tr>
            </thead>
            <tbody>
            {% for a in v %}
            <tr class="tr-shadow">
                <td>{{ a.titre }}</td>
                <td>{{ a.type }}</td>
                <td>{{ a.contenu }}</td>
                <td>{{ a.date|date('Y-m-d') }}</td>
                  <td>
                <div class="table-data-feature">

                    <a href="{{ path('_SupprimerPublication',{'idPub':a.idpublication}) }}">Supprimer </a>
                    <a href="{{ path('_ModifierPublication',{'idPub':a.idpublication}) }}"> Modifier</a>
                    </div>
                </td>
            </tr>

{% endfor %}

            </tbody>
        </table>
    </div>
    <!-- END DATA TABLE -->
</div>

{% endblock %}